[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPObjectHashTable.Add

Add a new object to the hash table

## Declaration

Source position: contnrs.pp line 499

`public procedure TFPObjectHashTable.Add(`
`const aKey: string;`
`AItem: TObject`
`); virtual;`

## Arguments

`aKey` |  | key Associated with object
`AItem` |  | Object to store

## Description

Add adds the object AItem to the hash table, and associates it with key aKey.

## Errors

If the key aKey is already in the hash table, an exception will be raised.

## See also

TFPObjectHashTable.Items |  | Key-based access to the objects